#include <jlog/jlog.hpp>

namespace jlog {
    std::string consoleMsgFormatter(token t)
    {
        if (!t.delimiter.empty())
        {
            return std::format("{}{}{}{}{} ", t.colorCode.ansi_code, t.delimiter[0], t.content, t.delimiter[1], ansi_escape_codes::RESET);
        }

        return std::format("{}{}{} ", t.colorCode.ansi_code, t.content, ansi_escape_codes::RESET);
    }

    std::string logfileMsgFormatter(token t)
    {
        if (!t.delimiter.empty())
        {
            return std::format("{}{}{} ", t.delimiter[0], t.content, t.delimiter[1]);
        }

        return t.content + " ";
    }

    void log(std::vector<token> tokens, const std::string& filename)
    {
        log_to_console(toks2consoleMsg(tokens));
        log_to_console("\n");
        log_to_file(filename, toks2logfileMsg(tokens));
        log_to_file(filename, "\n");
    }
}